Catmandu::Flushable(3pm)

NAME
Catmandu::Flushable - Optional role for flushable bags

DESCRIPTION
"flush" makes sure that data added get persisted to disk for stores that support this operation (e.g. Elasticsearch).

This role also installs a hook that calls "flush" on "commit".

SYNOPSIS
    $store->bag->flush;

METHODS

  flush
Flush the bag.